// BarPlot.stories.tsx
import React from 'react';
import { Meta, Story } from '@storybook/react';
import AxisComponent, { AxisComponentProps } from '.';
import * as d3 from 'd3';

const Component: Meta<AxisComponentProps> = {
  title: 'Visual charts/Charts/Axis',
  component: AxisComponent,
  decorators: [
    (Story) => (
      <div className="w-full h-full flex flex-row justify-center">
        <svg className="border border-secondary-300" width="300" height="200">
          <Story />
        </svg>
      </div>
    ),
  ],
};

export default Component;

const Template: Story<AxisComponentProps> = (args) => <AxisComponent {...args} />;

export const CategoricalData = Template.bind({});
CategoricalData.args = {
  scale: d3.scaleLinear().domain([0, 10]).range([200, 0]),
  orientation: 'bottom',
  ticks: 2,
  type: 'categorical',
};
