import React from 'react';
import Info from '../../components/info';

type Props = { onClick: (id: string) => void };

const options = {
  TableVis: '',
  NodeLinkVis: '',
  PaohVis: '',
  SemanticSubstratesVis: '',
  MatrixVis: '',
};

export function Recommender({ onClick }: Props) {
  return (
    <div className="p-4">
      <span className="text-md font-thin">Select a visualization</span>
      <div className="grid grid-cols-3 gap-4">
        {Object.entries(options).map(([name, image]) => (
          <div
            key={name}
            className="p-4 cursor-pointer border hover:bg-secondary-100"
            onClick={(e) => {
              e.preventDefault();
              onClick(name);
            }}
          >
            <div className="flex items-center justify-between">
              <span className="text-sm font-semibold">{name}</span>
              <Info tooltip="Here an explanation" side="top" />
            </div>
            {/* <image src={image} /> */}
          </div>
        ))}
      </div>
    </div>
  );
}
