import type { Preview } from '@storybook/react';
import '../../../apps/web/src/main.css';

import { withThemeByDataAttribute } from '@storybook/addon-styling';

const preview: Preview = {
  parameters: {
    actions: { argTypesRegex: '^on[A-Z].*' },
    layout: 'fullscreen',
    controls: {
      matchers: {
        color: /(background|color)$/i,
        date: /Date$/,
      },
    },
  },
};

export const decorators = [
  withThemeByDataAttribute({
    themes: {
      graphpolarisWhite: 'graphpolarisWhite',
      light: 'graphpolarisWhite',
      dark: 'graphpolaris',
    },
    defaultTheme: 'graphpolarisWhite',
    attributeName: 'data-mode',
  }),
];

export const parameters = {
  actions: { argTypesRegex: '^(on.*)' },
};

export default preview;
